function getXHR() {
  var xhr = null;
  try { xhr = new XMLHttpRequest(); } catch(e) {
  try { xhr = new ActiveXObject("Msxml2.XMLHTTP"); } catch(e) {
  try { xhr = new ActiveXObject("Microsoft.XMLHTTP"); } catch(e) {
        xhr = null;
  }}}
  return xhr;
}
function ajax(opts) { 
  var method    = opts.method || 'GET',
      url       = opts.url || '',
      getdata   = opts.getdata || '',
      postdata  = opts.postdata || '',
      success   = opts.success || function(){},
      error     = opts.error || function(){};

  method = method.toUpperCase();
  url = url+'?'+getdata;
  var xhr = getXHR();
  xhr.open(method, url, true);
  if (method === 'POST') {
    xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  }
  xhr.setRequestHeader('HTTP_X_REQUESTED_WITH', 'XMLHttpRequest');
  xhr.onreadystatechange = function () {
    if (xhr.readyState == 4) {
      if (xhr.status == 200) {
        success(xhr, xhr.responseText);
      } else {
        error(xhr);
      }
    }
  };
  xhr.send(method == 'POST' ? postdata : null);
  return xhr;
}
